'\" t
.\"	quickie - a small fast C++ Wiki Wiki
.\"	Copyright (C) 2005 Peter Miller
.\"
.\"	This program is free software; you can redistribute it and/or modify
.\"	it under the terms of the GNU General Public License as published by
.\"	the Free Software Foundation; either version 2 of the License, or
.\"	(at your option) any later version.
.\"
.\"	This program is distributed in the hope that it will be useful,
.\"	but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"	GNU General Public License for more details.
.\"
.\"	You should have received a copy of the GNU General Public License
.\"	along with this program; if not, write to the Free Software
.\"	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
.\"
.\" MANIFEST: source of the BUILDING file
.\"
.TH Build Quickie Quickie "Reference Manual"
.so version.so
.if n .hy 0
.if n .ad l
.if n .nr IN 8n
.SH NAME
How to build Quickie
.XX "" "How to build Quickie"
.SH SPACE REQUIREMENTS
You will need about 8MB to unpack and build the Quickie package.
Your milage may vary.
.br
.ne 1i
.SH BEFORE YOU START
There are a few pieces of software you may want to
fetch and install before you proceed with your installation of Quickie.
.TP 8n
GNU Groff
The documentation for the Quickie package was prepared using the GNU
Groff package (version 1.14 or later).  This distribution includes full
documentation, which may be processed into PostScript or DVI files at
install time \- if GNU Groff has been installed.
.TP 8n
GCC
You may also want to consider fetching and installing the GNU C Compiler
if you have not done so already.  This is not essential.
Quickie was developed using the GNU C++ compiler, and the GNU C++ libraries.
.PP
The GNU FTP archives may be found at \f(CWftp.gnu.org\fP,
and are mirrored around the world.
.br
.ne 1i
.SH SITE CONFIGURATION
The Quickie package is configured using the
\fIconfigure\fP
program included in this distribution.
.PP
The \fIconfigure\fP shell script attempts to guess correct values for
various system-dependent variables used during compilation, and creates
the \fIMakefile\fP and \fIlib/config.h\fP files.  It also creates a
shell script \fIconfig.status\fP that you can run in the future to
recreate the current configuration.
.PP
Normally, you just \fIcd\fP to the directory containing Quickie's source
code and then type
.RS
.ft CW
.nf
\fB% \fP./configure
\fI\&...lots of output...\fP
\fB%\fP
.fi
.ft R
.RE
If you're using \fIcsh\fP on an old version of System V, you might need
to type
.RS
.ft CW
.nf
\fB% \fPsh configure
\fI\&...lots of output...\fP
\fB%\fP
.fi
.ft R
.RE
instead to prevent \fIcsh\fP from trying to execute \fIconfigure\fP
itself.
.PP
Running \fIconfigure\fP takes a minute or two.  While it is running,
it prints some messages that tell what it is doing.  If you don't want
to see the messages, run \fIconfigure\fP using the quiet option; for
example,
.RS
.FT CW
.nf
\fB% \fP./configure --quiet
\bB%\fP
.fi
.ft R
.RE
.PP
To compile the Quickie package in a different directory from the one
containing the source code, you must use a version of \fImake\fP that
supports the \fIVPATH\fP variable, such as GNU Make.  Change directory
(cd) to the directory where you want the object files and executables
to go and run the \fIconfigure\fP script.  The \fIconfigure\fP
script automatically checks for the source code in the directory
that \fIconfigure\fP is in. and also in \f[CW]\&..\fP (the parent
directory).  If for some reason \fIconfigure\fP is not in the source
code directory that you are configuring, then it will report that it
can't find the source code.  In that case, run \fIconfigure\fP with the
option \f(CW--srcdir=\fP\fIDIR\fP, where \fIDIR\fP is the directory that
contains the source code.
.PP
By default, \fIconfigure\fP will arrange for the \fImake install\fP
command to install the Quickie package's files in \fI/usr/local/bin\fP,
and \fI/usr/local/man\fP.  There are options which allow you to control
the placement of these files.
.TP 8n
\f[CW]--prefix=\fP\fIPATH\fP
This specifies the path prefix to be used in the installation.
Defaults to \fI/usr/local\fP unless otherwise specified.
.TP 8n
\f[CW]--exec-prefix=\fP\fIPATH\fP
You can specify separate installation prefixes for
architecture-specific files files.
Defaults to \fI${prefix}\fP unless otherwise specified.
.TP 8n
\f[CW]--bindir=\fP\fIPATH\fP
This directory contains executable programs.  On a network, this
directory may be shared between machines with identical hardware and
operating systems; it may be mounted read-only.  Defaults to
\fI${exec_prefix}/bin\fP unless otherwise specified.
.TP 8n
\f[CW]--mandir=\fP\fIPATH\fP
This directory contains the on-line manual entries.  On a network, this
directory may be shared between all machines; it may be mounted
read-only.  Defaults to \fI${prefix}/man\fP unless otherwise specified.
.TP 8n
\f[CW]--sysconfdir=\fP\fIPATH\fP
This directory contain the system configuration files.
The commonest use of this is to set \f[CW]/etc\fP
so that the Quickie configuration file is \f[CW]/etc/quickie.conf\fP
.TP 8n
\f[CW]--localstatedir=\fP\fIPATH\fP
This directory contain the local state files.
The commonest use of this is to set \f[CW]/var\fP
so that the Quickie directory \f[CW]/var/quickie\fP
contains the wiki files.
.PP
The \fIconfigure\fP script ignores most other arguments that you give
it; use the \f[CW]--help\fP option for a complete list.
.br
.ne 2i
.PP
On systems that require unusual options for compilation or linking that
the Quickie package's \fIconfigure\fP script does not know about, you
can give \fIconfigure\fP initial values for variables by setting them in
the environment.  In Bourne-compatible shells, you can do that on the
command line like this:
.RS
.ft CW
.nf
\fB$ \fPCXX='g++ -traditional' LIBS=-lposix ./configure
\fI\&...lots of output...\fP
\fB$\fP
.fi
.ft R
.RE
Here are the \fImake\fP variables that you might want to override with
environment variables when running \fIconfigure\fP.
.TP 8n
Variable: CXX
C++ compiler program.
The default is
\fIc++\fP.
.TP 8n
Variable: CPPFLAGS
Preprocessor flags, commonly defines and include search paths.
Defaults to empty.
It is common to use \f[CW]CPPFLAGS=-I/usr/local/include\fP to access other
installed packages.
.TP 8n
Variable: INSTALL
Program to use to install files.
The default is
\fIinstall\fP
if you have it,
\fIcp\fP
otherwise.
.TP 8n
Variable: LIBS
Libraries to link with,
in the form \f(CW-l\fP\fIfoo\fP \f(CW-l\fP\fIbar\fP.
The
\fIconfigure\fP
script will append to this,
rather than replace it.
It is common to use \f[CW]LIBS=-L/usr/local/lib\fP to access other
installed packages.
.PP
If you need to do unusual things to compile the package,
the author encourages you to figure out how
\fIconfigure\fP
could check whether to do them,
and mail diffs or instructions to the author
so that they can be included in the next release.
.br
.ne 1i
.SH BUILDING Quickie
All you should need to do is use the
.RS
.ft CW
.nf
\fB% \fPmake
\fI\&...lots of output...\fP
\fB%\fP
.fi
.ft R
.RE
command and wait.
When this finishes you should see a directory called
\fIbin\fP
containing three files:
\fIQuickie\fP,
\fIQuickie\fP
and
\fIQuickie\fP.
.TP 8n
\fBquickie\fP
The \fIquickie\fP(1) program is a common gateway interface (CGI) program
used to manipulate an maintain a wiki site.  For more information, see
\fIquickie\fP(1).
.TP 8n
\fBquickie_svt\fP
The \fIquickie_svt\fP(1) program can be used to examine and
manipulate the "simple version tool" history files used by
\fIquickie\fP(1) to stoke wiki page histories.  For more information,
see \fIquickie_svt\fP(1).
.TP 8n
\fBquickie_prime\fP
The \fIquickie_prime\fP(1) program is used to pre-cache the html
corresponding to wiki files in a wiki site.  For more information, see
\fIquickie\fP(1).
.br
.ne 1.5i
.PP
If you have GNU Groff installed, the build will also create a
\fIetc/reference.ps\fP file.  This contains the README file, this
BUILDING file, and all of the man pages.
.PP
You can remove the program binaries and object files from the
source directory by using the
.RS
.ft CW
.nf
\fB% \fPmake clean
\fI\&...lots of output...\fP
\fB%\fP
.fi
.ft R
.RE
command.  To remove all of the above files, and also remove the
\fIMakefile\fP and \fIlib/config.h\fP and \fIconfig.status\fP files, use
the
.RS
.ft CW
.nf
\fB% \fPmake distclean
\fI\&...lots of output...\fP
\fB%\fP
.fi
.ft R
.RE
command.
.PP
The file \fIetc/configure.in\fP is used to create \fIconfigure\fP by
a GNU program called \fI1autoconf\fP.  You only need to know this
if you want to regenerate \fIconfigure\fP using a newer version of
\fIautoconf\fP.
.br
.ne 1i
.SH TESTING QUICKIE
The Quickie package comes with a test suite.  To run this test suite,
use the command
.RS
.ft CW
.nf
\fB% \fPmake sure
\fI\&...lots of output...\fP
.if n \fBPassed All Tests\fP
.if t \f(CBPassed All Tests\fP
\fB%\fP
.fi
.ft R
.RE
.PP
The tests take a few seconds each, with a few very fast, and a couple
very slow, but it varies greatly depending on your CPU.
.PP
If all went well, the message
.RS
.ft CW
Passed All Tests
.ft R
.RE
should appear at the end of the make.
.br
.ne 1i
.SH INSTALLING QUICKIE
As explained in the \fISITE CONFIGURATION\fP section, above, the Quickie
package is installed under the \fI/usr/local\fP tree by default.  Use
the \f(CW--prefix=\fP\fIPATH\fP option to \fIconfigure\fP if you want
some other path.  More specific installation locations are assignable,
use the \f(CW./configure --help\fP option for details.
.PP
All that is required to install the Quickie package is to use the
.RS
.ft CW
.nf
\fB% \fPmake install
\fI\&...lots of output...\fP
\fB%\fP
.fi
.ft R
.RE
command.  Control of the directories used may be found in the first
few lines of the \fIMakefile\fP file and the other files written
by the \fIconfigure\fP script; it is best to reconfigure using the
\fIconfigure\fP script, rather than attempting to do this by hand.
.br
.ne 1i
.so z_post_install.so
.SH GETTING HELP
If you need assistance with the \fIQuickie\fP package, please do not
hesitate to contact the author at
.RS
.ft CW
Peter Miller <millerp@canb.auug.org.au>
.ft R
.RE
Any and all feedback is welcome.
.PP
When reporting problems, please include the version number given by the
.RS
.ft CW
.nf
\fB% \fPQuickie -version
.if n \fBQuickie version\fP \fI\*(V)\fP
.if t \f(CBQuickie version\fP \fI\*(V)\fP
\fI\&...warranty disclaimer...\fP
\fB%\fP
.fi
.ft R
.RE
command.  Please do not send this example; run the program for the exact
version number.
.br
.ne 2i
.SH COPYRIGHT
\fIQuickie\fP version \*(v)
.br
Copyright
.if n (C)
.if t \(co
\*(Y) Peter Miller
.PP
The \fIQuickie\fP package is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.
.PP
It should be in the \fILICENSE\fP file included with this distribution.
.br
.ne 1i
.SH AUTHOR
.TS
tab(;);
l r l.
Peter Miller;E-Mail:;millerp@canb.auug.org.au
\f(CW/\e/\e*\fP;WWW:;http://www.canb.auug.org.au/~millerp/
.TE
