#!/bin/sh
#
#	quickie - a small fast C++ Wiki Wiki
#	Copyright (C) 2005 Peter Miller
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
#
# MANIFEST: shell script to generate RedHat spec file
#
echo '#'
echo '# This file is generated.  Please do not send the maintainer'
echo '# patches to this file.  Please update etc/spec.sh and send a'
echo '# patch to that file, instead.'
echo '#'

version=${version-0.0.0}
echo 'Summary: A small fast C++ Wiki Wiki'
echo 'Name: quickie'
echo "Version: ${version}"
echo 'Release: 1'
echo 'License: GPL'
echo 'Group: Development/Tools'
echo "Source: http://quickie.sourceforge.net/%{name}-%{version}.tar.gz"
echo 'URL: http://quickie.sourceforge.net/'
echo 'BuildRoot: %{_tmppath}/%{name}-%{version}-root'

prefix=/usr
#
# RPM only has install-time relocatable packages.  It has no support for
# build-time relocatable packages.  Therefore, we must NOT specify a Spec
# prefix, or the installed locations will not match the built locations.
#
#echo "Prefix: $prefix"

cat << 'fubar'

%description
The Quickie package is a a small fast C++ Wiki Wiki.
%prep
%setup -q
%configure


%build
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
%makeinstall

strip $RPM_BUILD_ROOT%{_bindir}/*


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"


%files
%defattr (-,root,root)
%doc LICENSE BUILDING README
fubar

#
# remember things for the %files section
#
files=

remember_prog()
{
	if eval "test \"\${prog_${1}-no}\" != yes"
	then
		eval "prog_${1}=yes"
		files="$files %{_bindir}/${1}"
	fi
}

for file in $*
do
	case $file in

	prog/*/main.cc)
		dir=`echo $file | sed 's|prog/\([^/]*\)/.*|\1|'`
		remember_prog $dir
		;;

	man/man[0-9]/*.[0-9])
		ff=`echo $file | sed 's|^man/||'`
		files="$files %{_mandir}/${ff}*"
		;;

	*)
		;;
	esac
done

for file in $files
do
	echo "$file"
done | sort
