#!/bin/sh
#
#	quickie - a small fast C++ Wiki Wiki
#	Copyright (C) 2005 Peter Miller
#	All rights reserved.
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
#
# MANIFEST: shell script to tree-build
#
src=$(aegis -cd)
dst=$($src/linux-i486/bin/quickie-config --var)
echo '#!/bin/sh'
echo '#'
echo '# This shell script is generated by etc/tree-build.sh at build time.'
echo "# It copies files out of the $src/var/"
echo "# directory into the $dst/ directory."
echo '#'
echo ''
echo '# First, make sure the directories are there.'
echo 'echo Making directories...'
aefind -base-rel -no-resolve  var -type d |
while read fn
do
    fn=$(echo $fn/ | sed 's|^var/||')
    echo "mkdir -p $dst/$fn"
done

echo ''
echo '# Second, copy the files across.'
echo 'echo Copying files...'
aefind -base-rel var \( -name "*.wiki" -or -name "*.png" -or -name "*.css" \) \
    -execute echo {-} {+} ';' |
while read fn rfn
do
    fn=$(echo $fn | sed 's|^var/||')
    echo "cmp -s $rfn $dst/$fn || cp $rfn $dst/$fn"
done
echo ''
echo '#'
echo '# Finally, run quickie_prime to ensure all the files are'
echo '# correctly linked and commited to the history.'
echo '#'
echo 'sleep 1'
echo 'echo Check-in...'
echo "$src/linux-i486/bin/quickie_prime -D $dst -v"
echo "chmod -R og=u $dst 2> /dev/null"
echo "exit 0"
exit 0
