//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/careful/*.cc helper functions.
//

#ifndef LIB_CAREFUL_H
#define LIB_CAREFUL_H

class rcstring; // forward

/**
  * The careful_rename performs a rename(2) system call.  If it fails,
  * it calls the quitter.  This function only ever returns on success.
  *
  * @param from
  *     The old file name
  * @param to
  *     The new file name
  */
void careful_rename(const rcstring &from, const rcstring &to);

/**
  * The careful_unlink performs a unlink(2) system call.  If it fails,
  * it calls the quitter.  This function only ever returns on success.
  *
  * @param path
  *     The file name to be unlinked.
  */
void careful_unlink(const rcstring &path);

#endif // LIB_CAREFUL_H
