//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/exists_and.cc
//

#ifndef LIB_EXISTS_AND_H
#define LIB_EXISTS_AND_H

class rcstring; // forward

/**
  * The exists_and_is_readable function is used to determine if a file
  * in the file system exists and is readable.
  */
bool exists_and_is_readable(const rcstring &path);

/**
  * The exists_and_is_writeable function is used to determine if a file
  * in the file system exists and is writeable.
  */
bool exists_and_is_writeable(const rcstring &path);

#endif // LIB_EXISTS_AND_H
