//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the file_catalogue class
//

#pragma implementation "file_catalogue"

#include <file/catalogue.h>
#include <output/stdout.h>
#include <tree_walk.h>
#include <tree_walk/functor/catalogue.h>


file_catalogue::~file_catalogue()
{
}


file_catalogue::file_catalogue() :
    file("/admin/catalogue")
{
}


void
file_catalogue::get_request()
{
    output_stdout out;
    out << "Content-Type: text/html\n"
	   "\n";
    layout_header
    (
	out,
	"<H1 CLASS=\"administration\">Catalogue of Wiki Files</H1>"
    );

    tree_walk root;
    root.set_sort_by_name();
    tree_walk_functor_catalogue pages;
    root.descend(pages);
    pages.print(out);

    layout_footer(out);
}
