//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the file_literal class
//

#pragma implementation "file_literal"

#include <cgi.h>
#include <file/literal.h>
#include <input/file.h>
#include <mime_type.h>
#include <output/stdout.h>


file_literal::~file_literal()
{
}


file_literal::file_literal(const rcstring &arg1, const rcstring &arg2) :
    file(arg1),
    file_system_path(arg2)
{
}


void
file_literal::get_request()
{
    output_stdout out;
    out << "Content-Type: ";
    out << mime_type(file_system_path);
    input_file in(file_system_path);
    out.printf("\nContent-Length: %ld\n\n", in.get_length());
    out << in;
}
