//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the file_login class
//

#pragma implementation "file_login"

#include <cgi.h>
#include <file/login.h>
#include <output/stdout.h>
#include <relative_path.h>
#include <user.h>


file_login::~file_login()
{
}


file_login::file_login() :
    file("/admin/login")
{
}


void
file_login::get_request()
{
    rcstring submit = gateway.get_variable("submit");
    if (submit.empty())
	get_request_form();
    else
	get_request_perform();
}


void
file_login::emit_form(output &out)
{
    out << "<FORM METHOD=\"POST\" CLASS=\"administration\">\n"
	   "<TABLE CLASS=\"administration\">\n"
	   "<TR CLASS=\"administration\">\n"

	   "<TD CLASS=\"administration\">"
	   "User name:"
	   "</TD>\n"
	   "<TD CLASS=\"administration\">"
	   "<INPUT TYPE=\"TEXT\" NAME=\"name\" SIZE=8>"
	   "</TD>\n"
	   "</TR>\n"

	   "<TR>\n"
	   "<TD CLASS=\"administration\">"
	   "Password:"
	   "</TD>\n"
	   "<TD CLASS=\"administration\">"
	   "<INPUT TYPE=\"PASSWORD\" NAME=\"password\" SIZE=8>"
	   "</TD>\n"
	   "</TR>\n"

	   "<TR>\n"
	   "<TD CLASS=\"administration\" ALIGN=\"RIGHT\">"
	   "<INPUT TYPE=\"submit\" NAME=\"submit\" VALUE=\"Login\">"
	   "</TD>\n"
	   "<TD CLASS=\"administration\">"
	   "<INPUT type=\"reset\" value=\"Reset\">"
	   "</TD>\n"

	   "</TR>\n"
	   "</TABLE>\n"
	   "</FORM>\n";
}


void
file_login::get_request_form()
{
    output_stdout out;
    out << "Content-Type: text/html\n\n";
    layout_header(out, "<H1 CLASS=\"administration\">Login</H1>");
    emit_form(out);
    layout_footer(out);
}


void
file_login::get_request_perform()
{
    output_stdout out;
    rcstring name = gateway.get_variable("name");
    rcstring password = gateway.get_variable("password");
    if (user.login(name, password))
    {
	user.set_cookie(out);
       	out << "Content-Type: text/html\n"
	       "\n";
	layout_header(out, "Login");
	out << "<P CLASS=\"administration\">"
	       "Login successful.\n"
	       "Return to <A HREF=\""
	    << relative_path(get_user_path(), "/index")
	    << "\">main page</A>."
	       "</P>\n";
	layout_footer(out);
    }
    else
    {
       	out << "Content-Type: text/html\n"
	       "\n";
	layout_header(out, "Login");
	out << "<P CLASS=\"warning\">"
	       "User name or password incorrect."
	       "</P>\n";
	emit_form(out);
	layout_footer(out);
    }
}
