//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/file/new_user.cc
//

#ifndef LIB_FILE_NEW_USER_H
#define LIB_FILE_NEW_USER_H

#pragma interface "file_new_user"

#include <file.h>

class output; // forward

/**
  * The file_new_user class is used to represent
  */
class file_new_user:
    public file
{
public:
    /**
      * The destructor.
      */
    virtual ~file_new_user();

    /**
      * The default constructor.
      */
    file_new_user();

    // See base class for documentation.
    virtual void get_request();

private:
    /**
      * The get_requent_deny method is used to display the page for when
      * a web client is not allowed to create new users.
      */
    void get_request_deny();

    /**
      * The get_requent_form method is used to display the web form wor
      * creating a new user.
      */
    void get_request_form();

    /**
      * The get_requent_perform method is used to either (a) create the
      * new user, or (b) say what is wrong with the previous form, and
      * then display the form again.
      */
    void get_request_perform();

    /**
      * The emit_form method is used to print the form for creating a
      * new user.
      */
    void emit_form(output &out);

    /**
      * The copy constructor.  Do not use.
      */
    file_new_user(const file_new_user &);

    /**
      * The assignment operator.  Do not use.
      */
    file_new_user &operator=(const file_new_user &);
};

#endif // LIB_FILE_NEW_USER_H
