//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/file/recent.cc
//

#ifndef LIB_FILE_RECENT_H
#define LIB_FILE_RECENT_H

#pragma interface "file_recent"

#include <file.h>

/**
  * The file_recent class is used to represent
  */
class file_recent:
    public file
{
public:
    /**
      * The destructor.
      */
    virtual ~file_recent();

    /**
      * The default constructor.
      */
    file_recent();

    // See base class for documentation.
    void get_request();

private:
    /**
      * The copy constructor.
      */
    file_recent(const file_recent &);

    /**
      * The assignment operator.
      */
    file_recent &operator=(const file_recent &);
};

#endif // LIB_FILE_RECENT_H
