//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the file_settings class
//

#pragma implementation "file_settings"

#include <configuration.h>
#include <file/settings.h>
#include <output/stdout.h>
#include <versn_stamp.h>


file_settings::~file_settings()
{
}


file_settings::file_settings() :
    file("/admin/settings")
{
}


void
file_settings::get_request()
{
    output_stdout out;
    out << "Content-Type: text/html\n\n";
    layout_header(out, "Settings");
    out << "<TABLE CLASS=\"administration\">\n"
           "<TR CLASS=\"administration\">"
	   "<TD CLASS=\"administration\">Version:</TD><TD>"
	<< version_stamp()
	<< "</TD></TR>\n"
	;
    config.settings(out);
    out << "</TABLE>\n";
    layout_footer(out);
}
