//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the input_crlf class
//

#pragma implementation "input_crlf"

#include <input/crlf.h>


input_crlf::~input_crlf()
{
}


input_crlf::input_crlf(input &arg) :
    deeper(&arg)
{
}


size_t
input_crlf::read_inner(void *void_data_p, size_t nbytes)
{
    char *data = (char *)void_data_p;
    char *data_start = data;
    char *data_end = data + nbytes;
    while (data < data_end)
    {
	int c = deeper->getch();
	if (c < 0)
	    break;
	if (c == '\r')
	{
	    c = deeper->getch();
	    if (c < 0)
	    {
		*data++ = '\r';
		break;
	    }
	    if (c == '\n')
	    {
		*data++ = '\n';
	    }
	    else
	    {
		deeper->ungetc(c);
		*data++ = '\r';
	    }
	}
	else
	    *data++ = c;
    }
    return (data - data_start);
}


rcstring
input_crlf::name()
{
    return deeper->name();
}
