//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the input_one_line class
//

#pragma implementation "input_one_line"

#include <input/one_line.h>


input_one_line::~input_one_line()
{
    deeper = 0;
}


input_one_line::input_one_line(input &arg) :
    deeper(&arg),
    end_of_file(false)
{
}


int
input_one_line::deeper_getch()
{
    if (end_of_file)
	return -1;
    int c = deeper->getch();
    if (c == '\n' || c < 0)
	end_of_file = true;
    return c;
}


size_t
input_one_line::read_inner(void *void_data_p, size_t nbytes)
{
    char *data_start = (char *)void_data_p;
    char *data = data_start;
    char *data_end = data_start + nbytes;
    while (data < data_end)
    {
	int c = deeper_getch();
	if (c < 0)
	    break;
	*data++ = c;
    }
    return (data - data_start);
}


rcstring
input_one_line::name()
{
    return deeper->name();
}
