//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the input_stdin class
//

#pragma implementation "input_stdin"

#include <unistd.h>

#include <input/stdin.h>


input_stdin::~input_stdin()
{
}


input_stdin::input_stdin()
{
}


size_t
input_stdin::read_inner(void *data, size_t nbytes)
{
    ssize_t result = ::read(0, data, nbytes);
    if (result < 0)
	fatal_error_with_errno("standard input");
    return result;
}


rcstring
input_stdin::name()
{
    return "standard input";
}
