//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/input/stdin.cc
//

#ifndef LIB_INPUT_STDIN_H
#define LIB_INPUT_STDIN_H

#pragma interface "input_stdin"

#include <input.h>

/**
  * The input_stdin class is used to represent an input stream which
  * reads its data from the process' standard input.
  */
class input_stdin:
    public input
{
public:
    /**
      * The destructor.
      */
    virtual ~input_stdin();

    /**
      * The default constructor.
      */
    input_stdin();

    // See base class for documentation.
    size_t read_inner(void *data, size_t nbytes);

    // See base class for documentation.
    rcstring name();

private:
    /**
      * The copy constructor.
      */
    input_stdin(const input_stdin &);

    /**
      * The assignment operator.
      */
    input_stdin &operator=(const input_stdin &);
};

#endif // LIB_INPUT_STDIN_H
