//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/libdir.cc
//

#ifndef LIB_LIBDIR_H
#define LIB_LIBDIR_H

/**
  * The configured_bindir function is used to obtain the configured
  * value for the diectory containing executable files.  It defaults
  * to ${prefix}/bin.  This is manipulated by the ./configure --bindir
  * option.
  */
const char *configured_bindir();

/**
  * The configured_datadir function is used to obtain the configured
  * value for shared data.  It defaults to ${prefix}/share/quickie.  This
  * is manipulated by the ./configure --datadir option.
  */
const char *configured_datadir();

/**
  * The configured_libdir function is used to obtain the configured
  * value for architecture specific data.  It defaults to
  * ${prefix}/lib/quickie.  This is manipulated by the
  * ./configure --libdir option.
  */
const char *configured_libdir();

/**
  * The configured_localstatedir function is used to obtain
  * the configured value for varying data.  It defaults to
  * ${prefix}/var/quickie.  This is manipulated by the
  * ./configure --localstatedir option.
  */
const char *configured_localstatedir();

/**
  * The configured_sysconfdir function is used to obtain the configured
  * value for system configuration data.  It defaults to ${prefix}/etc.
  * This is manipulated by the ./configure --sysconfdir option.
  */
const char *configured_sysconfdir();

#endif // LIB_LIBDIR_H
