//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/link_tracker/wiki.cc
//

#ifndef LIB_LINK_TRACKER_WIKI_H
#define LIB_LINK_TRACKER_WIKI_H

#pragma interface "link_tracker_wiki"

#include <link_tracker.h>
#include <rcstring/list.h>

/**
  * The link_tracker_wiki class is used to represent the current state
  * of tracking the links from one wiki page to other wiki pages.
  */
class link_tracker_wiki:
    public link_tracker
{
public:
    /**
      * The destructor.
      */
    virtual ~link_tracker_wiki();

    /**
      * The constructor.
      *
      * @param user_path
      */
    link_tracker_wiki(const rcstring &user_path);

    // See base class for documentation.
    void internal_link_exists(const rcstring &destination);

    // See base class for documentation.
    void internal_link_new(const rcstring &destination);

private:
    rcstring_list xref_old;
    rcstring_list xref_new;

    /**
      * The default constructor.  Do not use.
      */
    link_tracker_wiki();

    /**
      * The copy constructor.  Do not use.
      */
    link_tracker_wiki(const link_tracker_wiki &);

    /**
      * The assignment operator.  Do not use.
      */
    link_tracker_wiki &operator=(const link_tracker_wiki &);
};

#endif // LIB_LINK_TRACKER_WIKI_H
