//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/mkdir_p.cc
//

#ifndef LIB_MKDIR_P_H
#define LIB_MKDIR_P_H

class rcstring; // forward

/**
  * The mkdir_p function is used to create all the missing directories
  * above the named file.  It does NOT create the last path element, as
  * a directory or anything else.
  *
  * This is like the difference between mkdir -p and plain mkdir.
  */
void mkdir_above(const rcstring &path);

#endif // LIB_MKDIR_P_H
