//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/output/stdout.cc
//

#ifndef LIB_OUTPUT_STDOUT_H
#define LIB_OUTPUT_STDOUT_H

#pragma interface "output_stdout"

#include <output.h>

/**
  * The output_stdout class is used to represent and output stream
  * directed at the process's standard output.
  */
class output_stdout:
    public output
{
public:
    /**
      * The destructor.
      */
    virtual ~output_stdout();

    /**
      * The default constructor.
      */
    output_stdout();

    // See base class for documentation.
    void write_inner(const void *data, size_t nbytes);

    // See base class for documentation.
    bool start_of_line_inner() const;

    // See base class for documentation.
    rcstring name();

private:
    /**
      * The bol instance variable is used to remember whether or not we
      * are positioned at the start of a line.
      */
    bool bol;

    /**
      * The copy constructor.  Do not use.
      */
    output_stdout(const output_stdout &);

    /**
      * The assignment operator.  Do not use.
      */
    output_stdout &operator=(const output_stdout &);
};

#endif // LIB_OUTPUT_STDOUT_H
