//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the output_string class
//

#pragma implementation "output_string"

#include <output/string.h>


output_string::~output_string()
{
    //
    // You have to flush here, because doing it in the base class'
    // destructor is too late, we are already gone.
    //
    flush();
}


output_string::output_string()
{
}


void
output_string::write_inner(const void *data, size_t nbytes)
{
    acc.push_back(data, nbytes);
}


bool
output_string::start_of_line_inner()
    const
{
    return (acc.empty() || acc.back() == '\n');
}


rcstring
output_string::name()
{
    return "string-in-memory";
}
