//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/post_install.cc
//

#ifndef LIB_POST_INSTALL_H
#define LIB_POST_INSTALL_H

/**
  * The post_install_speil function is used to tell the user how to
  * install Quickie into their cgi-bin directory, and how to chown their
  * wiki data.
  */
void post_install_speil();

/**
  * The post_install_cgi_bin function is used to copy (or symbolic link)
  * the quickie(1) executable into the web server's cgi-bin directory.
  */
void post_install_cgi_bin();

/**
  * The post_install_localstatedir function is used to change the
  * ownership of the the quickie(1) data files to match the web server UID.
  */
void post_install_localstatedir();

#endif // LIB_POST_INSTALL_H
