//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the quit_atexit_list class
//

#pragma implementation "quit_atexit_list"

#include <quit/atexit_list.h>
#include <quit/atexit.h>


quit_atexit_list::~quit_atexit_list()
{
    delete item;
    length = 0;
    maximum = 0;
    item = 0;
}


quit_atexit_list::quit_atexit_list() :
    length(0),
    maximum(0),
    item(0)
{
}


void
quit_atexit_list::push_back(quit_atexit *p)
{
    if (length >= maximum)
    {
	size_t new_maximum = maximum * 2 + 16;
	quit_atexit **new_item = new quit_atexit * [new_maximum];
	for (size_t j = 0; j < length; ++j)
	    new_item[j] = item[j];
	delete [] item;
	item = new_item;
	maximum = new_maximum;
    }
    item[length++] = p;
}


void
quit_atexit_list::run(int exit_status)
{
    while (length)
    {
	--length;
	quit_atexit *p = item[length];
	p->action(exit_status);
	delete p;
    }
}
