//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/quit/cgi.cc
//

#ifndef LIB_QUIT_CGI_H
#define LIB_QUIT_CGI_H

#pragma interface "quit_cgi"

#include <quit.h>

/**
  * The quit_cgi class is used to represent an error message and exit
  * implementation which is used by CGI programs.
  */
class quit_cgi:
    public quit
{
public:
    /**
      * The destructor.
      */
    virtual ~quit_cgi();

    /**
      * The default constructor.
      */
    quit_cgi();

    // See base class for documentation.
    void message_v(const char *fmt, va_list);

    // See base class for documentation.
    void exit_inner(int arg) NORETURN;

private:
    /**
      * The copy constructor.  Do not use.
      */
    quit_cgi(const quit_cgi &);

    /**
      * The assignment operator.  Do not use.
      */
    quit_cgi &operator=(const quit_cgi &);
};

#endif // LIB_QUIT_CGI_H
