//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to manipulate fields
//

#include <cstring>
#include <rcstring.h>


rcstring
rcstring::field(char sep, int fldnum)
    const
{
    const char *cp = c_str();
    while (fldnum > 0)
    {
	const char *sp = strchr(cp, sep);
	if (!sp)
	    return rcstring("");
	cp = sp + 1;
	--fldnum;
    }
    const char *ep = strchr(cp, sep);
    if (ep)
	return rcstring(cp, ep - cp);
    return rcstring(cp);
}
