//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the rcstring_list_read_from class
//

#include <cstring>

#include <input/file.h>
#include <rcstring/list.h>


void
rcstring_list::read_from(input &src)
{
    for (;;)
    {
	char buffer[2000];
	if (!src.gets(buffer, sizeof(buffer)))
	    break;
	size_t len = strlen(buffer);
	if (len > 0 && buffer[len - 1] == '\n')
	    --len;
	push_back(rcstring(buffer, len));
    }
}


void
rcstring_list::read_from(const rcstring &filename)
{
    input_file src(filename);
    src.empty_if_absent();
    read_from(src);
}
