//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the rcstring_list_write_to class
//

#include <careful.h>
#include <output/file.h>
#include <rcstring/list.h>


void
rcstring_list::write_to(output &op)
    const
{
    for (size_t j = 0; j < nstrings; ++j)
    {
	op << string[j] << '\n';
    }
}


void
rcstring_list::write_to(const rcstring &filename)
    const
{
    output_file dst(filename);
    dst.mkdir_p();
    write_to(dst);
}


void
rcstring_list::double_buffered_write_to(const rcstring &filename)
    const
{
    if (empty())
	careful_unlink(filename);
    else
    {
	rcstring temp = filename + "-new";
	write_to(temp);
	careful_rename(temp, filename);
    }
}
