//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to manipulate upcases
//

#include <cctype>
#include <rcstring/accumulator.h>


rcstring
rcstring::upcase()
    const
{
    static rcstring_accumulator tmp;
    tmp.clear();
    const char *s = c_str();
    for (;;)
    {
	char c = *s++;
	if (!c)
	    break;
	if (islower((unsigned char)c))
    	    c = toupper(c);
	tmp.push_back(c);
    }
    return tmp.mkstr();
}
