//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the recent class
//

#pragma implementation "recent"

#include <output.h>
#include <recent.h>
#include <relative_path.h>
#include <wiki_word.h>


recent::~recent()
{
}


recent::recent() :
    last_modified(0)
{
}


recent::recent(const rcstring &arg1, time_t arg2) :
    user_path(arg1),
    last_modified(arg2)
{
}


recent::recent(const recent &arg) :
    user_path(arg.user_path),
    last_modified(arg.last_modified)
{
}


recent &
recent::operator=(const recent &arg)
{
    if (this != &arg)
    {
	user_path = arg.user_path;
	last_modified = arg.last_modified;
    }
    return *this;
}


rcstring
recent::get_date()
    const
{
    char buffer[100];
    strftime(buffer, sizeof(buffer), "%a, %Y-%b-%d", gmtime(&last_modified));
    return buffer;
}


rcstring
recent::get_time()
    const
{
    char buffer[100];
    strftime(buffer, sizeof(buffer), "%H:%M:%S", gmtime(&last_modified));
    return buffer;
}


void
recent::print(output &out)
    const
{
    out << "<TR CLASS=\"administration\">"
	   "<TD VALIGN=\"TOP\" CLASS=\"administration\">"
	   "<A HREF=\""
	<< relative_path("/admin/recent", user_path).url_quote()
	<< "\" CLASS=\"administration\">"
	<< wiki_word_pretty(user_path)
	<< "</A></TD>\n"
	   "<TD VALIGN=\"TOP\" CLASS=\"administration\">"
        << get_time()
        << "</TD></TR>\n"
	;
}
