//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/relative_path.cc
//

#ifndef LIB_RELATIVE_PATH_H
#define LIB_RELATIVE_PATH_H

#include <rcstring.h>

/**
  * The relative_path method is used to calculate a relative path from
  * one user path to another user path.  This is typically used to
  * calculate href paths when linking documents together.
  *
  * @param from
  *     The origin path.
  * @param to
  *     The destination path.
  * @returns
  *     The shortest relative path.
  */
rcstring relative_path(const rcstring &from, const rcstring &to);

#endif // LIB_RELATIVE_PATH_H
