//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the rfc822_functor_html_history class
//

#pragma implementation "rfc822_functor_html_history"

#include <output.h>
#include <relative_path.h>
#include <rfc822_functor/html_history.h>
#include <user.h>


rfc822_functor_html_history::~rfc822_functor_html_history()
{
}


rfc822_functor_html_history::rfc822_functor_html_history(const rcstring &arg1,
       	output &arg2) :
    user_path(arg1),
    os(arg2),
    first(true),
    revertable(user.may_edit())
{
}


bool
rfc822_functor_html_history::operator()(rfc822 &arg)
{
    rcstring n = arg.get("version");
    os << "<TR CLASS=\"administration\">\n"
	  "<TD ALIGN=\"CENTER\" CLASS=\"administration\">"
       << n
       << "</TD>\n"
          "<TD ALIGN=\"CENTER\" CLASS=\"administration\">"
       << arg.get("date")
       << "</TD>\n"
          "<TD ALIGN=\"CENTER\" CLASS=\"administration\">"
       << arg.get("user")
       << "</TD>\n"
          "<TD ALIGN=\"CENTER\" CLASS=\"administration\">"
	  ;
    if (first)
	first = false;
    else if (revertable)
    {
	os << "<A HREF=\""
	   << relative_path
	      (
		  user_path,
		  user_path + "?action=edit&amp;version=" + n
	      )
	   << "\" CLASS=\"administration\">revert</A>"
	   ;
    }
    os << "</TD>\n"
	  "</TR>\n";

    // keep going
    return true;
}
