//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the simple_version_tool_checkout class
//

#include <input/crop.h>
#include <input/file.h>
#include <input/gunzip.h>
#include <input/svt_checkout.h>
#include <input/verify_checksum.h>
#include <output/file.h>
#include <output/stdout.h>
#include <rfc822.h>
#include <simple_version_tool.h>


void
simple_version_tool::checkout(const rcstring &output_file_name,
    const rcstring &version)
{
    if (output_file_name == "-")
    {
	output_stdout dest;
	checkout(dest, version);
    }
    else
    {
	output_file dest(output_file_name);
	checkout(dest, version);
    }
}


void
simple_version_tool::checkout(output &dest, const rcstring &version)
{
    input_svt_checkout src(history_file_name, version);
    dest << src;
}
