//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the unctrl class
//

#include <cctype>
#include <cstdio>

#include <unctrl.h>


const char *
unctrl(int c)
{
    static char buffer[20];
    if (c < 0 || c >= 256)
    {
	snprintf(buffer, sizeof(buffer), "%d", c);
	return buffer;
    }
    if (c == '\b')
	return "'\\b'";
    if (c == '\f')
	return "'\\f'";
    if (c == '\n')
	return "'\\n'";
    if (c == '\r')
	return "'\\r'";
    if (c == '\t')
	return "'\\t'";
    if (c == '\\' || c == '\'')
    {
	buffer[0] = '\'';
	buffer[1] = '\\';
	buffer[2] = c;
	buffer[3] = '\'';
	buffer[4] = 0;
	return buffer;
    }
    if (isprint(c))
    {
	buffer[0] = '\'';
	buffer[1] = c;
	buffer[2] = '\'';
	buffer[3] = 0;
	return buffer;
    }
    snprintf(buffer, sizeof(buffer), "'\\%o'", c);
    return buffer;
}
