//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/unctrl.cc
//

#ifndef LIB_UNCTRL_H
#define LIB_UNCTRL_H

/**
  * The unctrl function is used to obtain a human-readable equivalent
  * of a the given character.  A strings suitable for using a s a C
  * character literal is returned.  If it is printable, the character
  * itself will be returned in quotes.  If it is out of the character
  * range, a number will be returned.  Otherwise a quoted C escape
  * sequence will be returned.
  *
  * @note
  *     An internal buffer is used, so you can't use it more than once
  *     in arguemnts to the same printf.
  */
const char *unctrl(int c);

#endif // LIB_UNCTRL_H
