//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the wiki_mode class
//

#pragma implementation "wiki_mode"

#include <cstdarg>
#include <cstdio> // for vsnprintf

#include <wiki_mode.h>
#include <output.h>


wiki_mode::~wiki_mode()
{
}


wiki_mode::wiki_mode(output *arg) :
    op(arg)
{
}


void
wiki_mode::write(const char *s)
{
    op->puts(s);
}


void
wiki_mode::write(const rcstring &s)
{
    op->puts(s);
}


void
wiki_mode::printf(const char *fmt, ...)
{
    va_list ap;
    va_start(ap, fmt);
    char buffer[1000];
    vsnprintf(buffer, sizeof(buffer), fmt, ap);
    va_end(ap);
    op->puts(buffer);
}


void
wiki_mode::bol()
{
    if (!op->start_of_line())
	op->putch('\n');
}


rcstring
wiki_mode::get_output_name()
{
    return op->name();
}
