//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/wiki_mode/groff_anchor.cc
//

#ifndef LIB_WIKI_MODE_GROFF_ANCHOR_H
#define LIB_WIKI_MODE_GROFF_ANCHOR_H

#pragma interface "wiki_mode_groff_anchor"

#include <wiki_mode.h>

/**
  * The wiki_mode_groff_anchor class is used to represent an anchor in a
  * GNU Groff document.
  */
class wiki_mode_groff_anchor:
    public wiki_mode
{
public:
    /**
      * The destructor.
      */
    virtual ~wiki_mode_groff_anchor();

    /**
      * The constructor.
      */
    wiki_mode_groff_anchor(output *osp, const rcstring &destination);

    // See base class for documentation.
    void begin();

    // See base class for documentation.
    void end();

    // See base class for documentation.
    type_t get_type() const;

private:
    /**
      * The destination instance variable is used to remember where the
      * links points to.
      */
    rcstring destination;

    /**
      * The default constructor.  Do not use.
      */
    wiki_mode_groff_anchor();

    /**
      * The copy constructor.  Do not use.
      */
    wiki_mode_groff_anchor(const wiki_mode_groff_anchor &);

    /**
      * The assignment operator.  Do not use.
      */
    wiki_mode_groff_anchor &operator=(const wiki_mode_groff_anchor &);
};

#endif // LIB_WIKI_MODE_GROFF_ANCHOR_H
