//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the wiki_mode_groff_heading class
//

#pragma implementation "wiki_mode_groff_heading"

#include <output.h>
#include <wiki_mode/groff_heading.h>


wiki_mode_groff_heading::~wiki_mode_groff_heading()
{
}


wiki_mode_groff_heading::wiki_mode_groff_heading(output *arg1, int arg2) :
    wiki_mode(arg1),
    level(arg2)
{
}


void
wiki_mode_groff_heading::begin()
{
    bol();
    if (level <= 1)
    {
	write(".TH \"");
	write(get_output_name());
	write("\" WWW Quickie \"Reference Manual\"\n");
	write(".SH NAME\n");
    }
    else if (level == 2)
	write(".SH \"");
    else if (level == 3)
	write(".SS \"");
    else if (level >= 4)
	write(".TP 4n\n");
}


void
wiki_mode_groff_heading::end()
{
    if (level <= 1)
    {
	bol();
	write(".SH DESCRIPTION\n");
    }
    else if (level <= 3)
	write("\"\n");
    else
	bol();
}


wiki_mode::type_t
wiki_mode_groff_heading::get_type()
    const
{
    return type_heading;
}
