//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the wiki_mode_man_font class
//

#pragma implementation "wiki_mode_man_font"

#include <wiki_mode/man_font.h>


wiki_mode_man_font::~wiki_mode_man_font()
{
}


wiki_mode_man_font::wiki_mode_man_font(output *arg1, const rcstring &arg2) :
    wiki_mode(arg1),
    font_name(arg2)
{
}


void
wiki_mode_man_font::begin()
{
    if (font_name.size() == 1)
    {
	write("\\f");
	write(font_name);
    }
    else if (font_name.size() == 2)
    {
	write("\\f(");
	write(font_name);
    }
    else
    {
	write("\\f[");
	write(font_name);
	write("]");
    }
}


void
wiki_mode_man_font::end()
{
    write("\\fP");
}
