//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/wiki_mode/man_font.cc
//

#ifndef LIB_WIKI_MODE_MAN_FONT_H
#define LIB_WIKI_MODE_MAN_FONT_H

#pragma interface "wiki_mode_man_font"

#include <rcstring.h>
#include <wiki_mode.h>

/**
  * The wiki_mode_man_font class is used to represent a font in the
  * usual Unix man/groff format.
  */
class wiki_mode_man_font:
    public wiki_mode
{
public:
    /**
      * The destructor.
      */
    virtual ~wiki_mode_man_font();

protected:
    /**
      * The default constructor.
      */
    wiki_mode_man_font(output *op, const rcstring &name);

public:
    // See base class for documentation.
    void begin();

    // See base class for documentation.
    void end();

private:
    /**
      * The font_name instance variable is sued to remember the name of
      * the groff font to be used.
      */
    rcstring font_name;

    /**
      * The copy constructor.
      */
    wiki_mode_man_font(const wiki_mode_man_font &);

    /**
      * The assignment operator.
      */
    wiki_mode_man_font &operator=(const wiki_mode_man_font &);
};

#endif // LIB_WIKI_MODE_MAN_FONT_H
