//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/wiki_mode/man_font/italics.cc
//

#ifndef LIB_WIKI_MODE_MAN_FONT_ITALICS_H
#define LIB_WIKI_MODE_MAN_FONT_ITALICS_H

#pragma interface "wiki_mode_man_font_italics"

#include <wiki_mode/man_font.h>

/**
  * The wiki_mode_man_font_italics class is used to represent the
  * italics font for groff.
  */
class wiki_mode_man_font_italics:
    public wiki_mode_man_font
{
public:
    /**
      * The destructor.
      */
    virtual ~wiki_mode_man_font_italics();

    /**
      * The constructor.
      */
    wiki_mode_man_font_italics(output *os);

    // See base class for documentation.
    type_t get_type() const;

private:
    /**
      * The default constructor.  Do not use.
      */
    wiki_mode_man_font_italics();

    /**
      * The copy constructor.  Do not use.
      */
    wiki_mode_man_font_italics(const wiki_mode_man_font_italics &);

    /**
      * The assignment operator.  Do not use.
      */
    wiki_mode_man_font_italics &operator=(const wiki_mode_man_font_italics &);
};

#endif // LIB_WIKI_MODE_MAN_FONT_ITALICS_H
