//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/wiki_mode/simple/heading.cc
//

#ifndef LIB_WIKI_MODE_HEADING_H
#define LIB_WIKI_MODE_HEADING_H

#pragma interface "wiki_mode_simple_heading"

#include <wiki_mode/simple.h>

/**
  * The wiki_mode_simple_heading class is used to represent
  * the parse state for generating &lt;Hn&gt;...&lt;/Hn&gt; markup.
  */
class wiki_mode_simple_heading:
    public wiki_mode_simple
{
public:
    /**
      * The destructor.
      */
    virtual ~wiki_mode_simple_heading();

    /**
      * The constructor.
      *
      * @param os
      *     Where to write the output.
      * @param n
      *     Heading depth (1 for most significant, 8 for least).
      * @param css_class_name
      *     The CSS class name.
      */
    wiki_mode_simple_heading(output *os, int n, const rcstring &css_class_name);

    // See base class for documentation.
    type_t get_type() const;

private:
    /**
      * The default constructor.  Do not use.
      */
    wiki_mode_simple_heading();

    /**
      * The copy constructor.  Do not use.
      */
    wiki_mode_simple_heading(const wiki_mode_simple_heading &);

    /**
      * The assignment operator.  Do not use.
      */
    wiki_mode_simple_heading &operator=(const wiki_mode_simple_heading &);
};

#endif // LIB_WIKI_MODE_HEADING_H
