//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for lib/wiki_mode/simple/preformatted.cc
//

#ifndef LIB_WIKI_MODE_SIMPLE_PREFORMATTED_H
#define LIB_WIKI_MODE_SIMPLE_PREFORMATTED_H

#pragma interface "wiki_mode_simple_preformatted"

#include <wiki_mode/simple.h>

/**
  * The wiki_mode_simple_preformatted class is used to represent fixed
  * pitch multi-line text.
  */
class wiki_mode_simple_preformatted:
    public wiki_mode_simple
{
public:
    /**
      * The destructor.
      */
    virtual ~wiki_mode_simple_preformatted();

    /**
      * The constructor.
      *
      * @param op
      *     Where to send the output.
      * @param class_name
      *     the name of the CSS class the element is in.
      */
    wiki_mode_simple_preformatted(output *op, const rcstring &class_name);

    // See base class for documentation.
    type_t get_type() const;

private:
    /**
      * The default constructor.
      */
    wiki_mode_simple_preformatted();

    /**
      * The copy constructor.
      */
    wiki_mode_simple_preformatted(const wiki_mode_simple_preformatted &);

    /**
      * The assignment operator.
      */
    wiki_mode_simple_preformatted &operator=(
	const wiki_mode_simple_preformatted &);
};

#endif // LIB_WIKI_MODE_SIMPLE_PREFORMATTED_H
