//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the wiki_mode_stack class
//

#pragma implementation "wiki_mode_stack"

#include <wiki_mode/stack.h>


wiki_mode_stack::~wiki_mode_stack()
{
    delete [] item;
    nitems = 0;
    nitems_max = 0;
    item = 0;
}


wiki_mode_stack::wiki_mode_stack() :
    nitems(0),
    nitems_max(0),
    item(0)
{
}


void
wiki_mode_stack::push_back(wiki_mode *p)
{
    if (nitems >= nitems_max)
    {
	size_t new_nitems_max = nitems_max * 2 + 4;
	wiki_mode **new_item = new wiki_mode * [new_nitems_max];
	for (size_t j = 0; j < nitems; ++j)
	    new_item[j] = item[j];
	delete [] item;
	nitems_max = new_nitems_max;
	item = new_item;
    }
    item[nitems++] = p;
}


bool
wiki_mode_stack::contains(wiki_mode::type_t type)
    const
{
    for (size_t j = 0; j < nitems; ++j)
	if (item[j]->get_type() == type)
	    return true;
    return false;
}


wiki_mode *
wiki_mode_stack::pop_back()
{
    if (!nitems)
	return 0;
    --nitems;
    return item[nitems];
}
