//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: operating system start point
//

#include <arglex/po.h>
#include <post_install.h>
#include <quit.h>


int
main(int argc, char **argv)
{
    arglex cmdline(argc, argv);
    switch (cmdline.token_first())
    {
    case arglex_po::token_automatic:
	post_install_cgi_bin();
	post_install_localstatedir();
	break;

    case arglex_po::token_cgi_bin:
	post_install_cgi_bin();
	break;

    case arglex_po::token_localstatedir:
	post_install_localstatedir();
	break;

    case arglex::token_eoln:
	post_install_speil();
	break;

    default:
	cmdline.bad_argument();
	// NOTREACHED
    }

    quitter.exit(0);
    return 0;
}
