//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the arglex_svt class
//

#pragma implementation "arglex_svt"

#include <arglex/svt.h>


arglex_svt::~arglex_svt()
{
}


arglex_svt::arglex_svt(int arg1, char **arg2) :
    arglex(arg1, arg2)
{
    static table_t table[] =
    {
	{ "-Check_In", token_check_in },
	{ "-Check_Out", token_check_out },
	{ "-COMmit", token_check_in },
	{ "-Edit", token_edit },
	{ "-File", token_file },
	{ "-History", token_history },
	{ "-Input", token_check_in },
	{ "-List", token_list },
	{ "-Output", token_check_out },
	{ "-Query", token_query },
	ARGLEX_END_MARKER
    };

    table_set(table);

    usage_tail_set
    (
	"-o -h <history-file> -f <output-file> [ -e <edit-number> ]\n"
	"-i -h <history-file> -f <input-file>\n"
	"-l -h <history-file>\n"
	"-q -h <history-file>"
    );
}
