//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: interface definition for quickie_svt/arglex/svt.cc
//

#ifndef QUICKIE_SVT_ARGLEX_SVT_H
#define QUICKIE_SVT_ARGLEX_SVT_H

#pragma interface "arglex_svt"

#include <arglex.h>

/**
  * The arglex_svt class is used to represent a specialization of the
  * command line parser for the quickie_svt command.
  */
class arglex_svt:
    public arglex
{
public:
    enum
    {
	token_check_in = token_MAX,
	token_check_out,
	token_edit,
	token_file,
	token_history,
	token_list,
	token_query
    };

    /**
      * The destructor.
      */
    virtual ~arglex_svt();

    /**
      * The constructor.
      */
    arglex_svt(int argc, char **argv);

private:
    /**
      * The default constructor.  Do not use.
      */
    arglex_svt();

    /**
      * The copy constructor.  Do not use.
      */
    arglex_svt(const arglex_svt &);

    /**
      * The assignment operator.  Do not use.
      */
    arglex_svt &operator=(const arglex_svt &);
};

#endif // QUICKIE_SVT_ARGLEX_SVT_H
